--- a/drivers/net/wireless/intel/ipw2x00/ipw2200.c
+++ b/drivers/net/wireless/intel/ipw2x00/ipw2200.c
@@ -11499,6 +11499,15 @@ static const struct attribute_group ipw_
 	.attrs = ipw_sysfs_entries,
 };
 
+#if LINUX_VERSION_IS_LESS(4,10,0)
+static int __change_mtu(struct net_device *ndev, int new_mtu){
+	if (new_mtu < 68 || new_mtu > LIBIPW_DATA_LEN)
+		return -EINVAL;
+	ndev->mtu = new_mtu;
+	return 0;
+}
+#endif
+
 #ifdef CPTCFG_IPW2200_PROMISCUOUS
 static int ipw_prom_open(struct net_device *dev)
 {
@@ -11547,15 +11556,6 @@ static netdev_tx_t ipw_prom_hard_start_x
 	return NETDEV_TX_OK;
 }
 
-#if LINUX_VERSION_IS_LESS(4,10,0)
-static int __change_mtu(struct net_device *ndev, int new_mtu){
-	if (new_mtu < 68 || new_mtu > LIBIPW_DATA_LEN)
-		return -EINVAL;
-	ndev->mtu = new_mtu;
-	return 0;
-}
-#endif
-
 static const struct net_device_ops ipw_prom_netdev_ops = {
 #if LINUX_VERSION_IS_LESS(4,10,0)
 	.ndo_change_mtu = __change_mtu,
